#!/usr/bin/env bash
###
 # Very basic commands to setup git. Git is required for some of the other options.
 # Plus it's just nice to immediately set up git for a new install.
 ##


# Abort on error
set -e


# Import utility script.
source $(dirname $0)/utils.sh



###
 # Program main.
 ##
function main () {
    # Make sure we are not root.
    check_is_not_user "root"

    echo ""
    echo -e "${text_blue}Setting up basic git configuration.${text_reset}"

    # Install git and tk.
    echo -e "${text_blue}Checking apt for git. This may ask for your system password.${text_reset}"
    sudo apt install git gitk curl

    # Set up git email credentials for machine.
    user_input=""
    while [[ "${user_input}" == "" ]]
    do
        echo ""
        echo -e "${text_cyan}Please provide desired email for git. Ex: \"you@example.com\"${text_reset}"

        # Get user input.
        read user_input
    done

    echo "git config --global user.email \"${user_input}\""
    git config --global user.email "${user_input}"

    # Set up git name credentials for machine.
    user_input=""
    while [[ "${user_input}" == "" ]]
    do
        echo ""
        echo -e "${text_cyan}Please provide desired full name for git. Ex: \"Your Name\"${text_reset}"

        # Get user input.
        read user_input
    done

    echo "git config --global user.name \"${user_input}\""
    git config --global user.name "${user_input}"

    echo ""
    echo -e "${text_blue}Git configuration complete.${text_reset}"
    echo ""
}


main
